package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Night_pubs extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.night_pubs); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button uphall = (Button) findViewById(R.id.uphall);
    uphall.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_uphallActivity();
         }
     });
    
    final Button jazz = (Button) findViewById(R.id.jazz);
    jazz.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_jazzActivity();
         }
     });
    
    final Button brograns = (Button) findViewById(R.id.brograns);
    brograns.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_brogransActivity();
         }
     });
    
    final Button cooliozum = (Button) findViewById(R.id.cooliozum);
    cooliozum.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_cooliozumActivity();
         }
     });
    
    final Button dragon = (Button) findViewById(R.id.dragon);
    dragon.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_dragonActivity();
         }
     });
    
    final Button malibu = (Button) findViewById(R.id.malibu);
    malibu.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_malibuActivity();
         }
     });
    
    final Button meskalina = (Button) findViewById(R.id.meskalina);
    meskalina.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_meskalinaActivity();
         }
     });
    
    final Button proletaryat = (Button) findViewById(R.id.proletaryat);
    proletaryat.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_proletaryatActivity();
         }
     });
  
    final Button whisky = (Button) findViewById(R.id.whisky);
    whisky.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openN_whiskyActivity();
         }
     });
    
	}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	 private void openTram_mapActivity() {
	    	startActivity(new Intent(this,Tram_map.class));
	    }
	    
	    private void openBus_mapActivity() {
	    	startActivity(new Intent(this,Bus_map.class));
	    }
	
	    
	    private void openN_uphallActivity() {
	    	startActivity(new Intent(this,N_uphall.class));
	    }
	    
	    private void openN_jazzActivity() {
	    	startActivity(new Intent(this,N_jazz.class));
	    }
	    
	    private void openN_brogransActivity() {
	    	startActivity(new Intent(this,N_brograns.class));
	    }
	    
	    private void openN_cooliozumActivity() {
	    	startActivity(new Intent(this,N_cooliozum.class));
	    }
	    
	    private void openN_dragonActivity() {
	    	startActivity(new Intent(this,N_dragon.class));
	    }
	    
	    private void openN_malibuActivity() {
	    	startActivity(new Intent(this,N_malibu.class));
	    }
	    
	    private void openN_meskalinaActivity() {
	    	startActivity(new Intent(this,N_meskalina.class));
	    }
	    
	    private void openN_proletaryatActivity() {
	    	startActivity(new Intent(this,N_proletaryat.class));
	    }
	
	    private void openN_whiskyActivity() {
	    	startActivity(new Intent(this,N_whisky.class));
	    }
}